> For the complete documentation index, see [llms.txt](https://docs.pickle.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pickle.finance/appendix-c-previous-docs/old-docs/what-are-pickle-jars.md).

# What are Pickle Jars?

The PickleJars can be found at <https://app.pickle.finance/jars>

![How picklejar works (Thanks Fennec)!](/files/-MZlMlnrkeakctwGfc3o)

Each PickleJar (or pJar) employs a different alpha seeking strategy, but fundamentally works in a similar manner:

1. Creating the input tokens in relevant project, for example ALCX/ETH
2. Users deposit the 10 ALCX/ETH sLP (Sushi Liquidity Provider) tokens into pJar 0.99x and receive 10pTokens (if one deposits in the beginning of the jar's creation. Otherwise it depends on the ratio or the underlying asset which has appreciated).\
   2.1. PICKLE protocol will collect the ALCX reward with 20% performance fee\
   2.2.  which half of it will be sold for ETH, and reinvested back to the sLP. Your pToken will not increase, but when you exit the jar, the ALCX/ETH sLP will be worth more depending when you exit.
3. You can deposit your pTokens into the pickle farm.\
   3.1. and the farm will give you PICKLE token in addition to your compounding Jar.\
   3.2. You can sell your PICKLE\
   3.3. Or you can lock your PICKLE for DILL (1 PICKLE = 1 DILL if locked 4 years) for the protocol revenue sharing!

So what are the pJar strategies you say? Let's head to the [Pickle Jar Strategies](/appendix-c-previous-docs/old-docs/pickle-jar-strategies.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pickle.finance/appendix-c-previous-docs/old-docs/what-are-pickle-jars.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
